OpenNMS API 1.2.9

## org.opennms.netmgt.capsd.jmx
Class Capsd

    java.lang.Object
      org.opennms.netmgt.capsd.jmx.Capsd

All Implemented Interfaces:
  CapsdMBean

public class Capsd
extends java.lang.Object
implements CapsdMBean

Constructor Summary
`Capsd()`

Method Summary
`int` `getStatus()`
`java.lang.String` `getStatusText()`
`void` `init()`
`void` `rescanInterfaceParent(java.lang.Integer nodeId)` This method is used to force an existing node to be capability rescaned.
`void` `scanSuspectInterface(java.lang.String ifAddr)` This method is used by other managed beans to forward an IP Address for capability scanning.
`void` `start()`
`java.lang.String` `status()`
`void` `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Capsd

    public Capsd()

Method Detail

### init

    public void init()

  Specified by:
    `init` in interface `CapsdMBean`

### start

    public void start()

  Specified by:
    `start` in interface `CapsdMBean`

### stop

    public void stop()

  Specified by:
    `stop` in interface `CapsdMBean`

### scanSuspectInterface

    public void scanSuspectInterface(java.lang.String ifAddr)
                              throws java.net.UnknownHostException

  This method is used by other managed beans to forward an IP Address for capability scanning. The If the interface converts properly then it is scanned as a suspect interface for the discovery of all the services and other interfaces that exists on the node.

  Specified by:
    `scanSuspectInterface` in interface `CapsdMBean`
  Parameters:
    `ifAddr` - The address of the suspect interface.
  Throws:
    `java.net.UnknownHostException` - Thrown if the address cannot be converted to aa proper internet address.

### rescanInterfaceParent

    public void rescanInterfaceParent(java.lang.Integer nodeId)

  This method is used to force an existing node to be capability rescaned. The main reason for its existance is as a hook for JMX managed beans to invoke forced rescans allowing the main rescan logic to remain in the capsd agent.

  Specified by:
    `rescanInterfaceParent` in interface `CapsdMBean`
  Parameters:
    `nodeId` - The node identifier from the database.

### getStatus

    public int getStatus()

  Specified by:
    `getStatus` in interface `CapsdMBean`

### getStatusText

    public java.lang.String getStatusText()

  Specified by:
    `getStatusText` in interface `CapsdMBean`

### status

    public java.lang.String status()

  Specified by:
    `status` in interface `CapsdMBean`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.